<mat-accordion class="settings">
  <mat-expansion-panel hideToggle class="infos" (expandedChange)="defaultEditState()">
    <mat-expansion-panel-header class="unselectable">
      <mat-panel-title>Account Informationen</mat-panel-title>
      <mat-panel-description>
        {{userInfoDesc}}
        <mat-icon>account_circle</mat-icon>
      </mat-panel-description>
    </mat-expansion-panel-header>

    <div class="user-info" #userInfo>
      <div class="row info">
        <div class="col-sm label unselectable">Identifikationsnummer:</div>
        <div class="col-sm value">{{user?.id}}</div>
      </div>

      <div class="row info">
        <div class="col-sm label unselectable">Name:</div>
        <div class="col-sm value">{{user?.firstName}} {{user?.lastName}}</div>
      </div>

      <div class="row info">
        <div class="col-sm label unselectable">Email:</div>
        <div class="col-sm value">{{user?.email}}</div>
      </div>

      <div class="row info">
        <div class="col-sm label unselectable">Benutzername:</div>
        <div class="col-sm value">{{user?.username}}</div>
      </div>

      <div class="row info">
        <div class="col-sm label unselectable">Beigetreten am:</div>
        <div class="col-sm value">{{user?.created.toLocaleString()}}</div>
      </div>
    </div>

    <div class="user-editor hidden" #userEditor>
      <form>
        <table>
          <tr>
            <td>
              <mat-form-field class="example-full-width" appearance="fill">
                <mat-label>Vorname</mat-label>
                <input matInput id="firstname">
              </mat-form-field>
            </td>
            <td>
              <mat-form-field class="example-full-width" appearance="fill">
                <mat-label>Nachname</mat-label>
                <input matInput id="lastname">
              </mat-form-field>
            </td>
          </tr>
        </table>

        <mat-form-field appearance="fill">
          <mat-label>Benutzername</mat-label>
          <input matInput id="username">
        </mat-form-field>

        <br>

        <mat-form-field appearance="fill">
          <mat-label>Email Adresse</mat-label>
          <input type="email" matInput id="email">
        </mat-form-field>

        <table>
          <tr>
            <td>
              <mat-form-field class="example-full-width" appearance="fill">
                <mat-label>Passwort</mat-label>
                <input matInput id="password">
              </mat-form-field>
            </td>
            <td>
              <mat-form-field class="example-full-width" appearance="fill">
                <mat-label>Passwort wiederholen</mat-label>
                <input matInput id="passwordRepeat">
              </mat-form-field>
            </td>
          </tr>
        </table>
      </form>
    </div>

    <mat-divider></mat-divider>

    <div class="buttons-right">
      <button mat-mini-fab color="primary" aria-label="Edit Userdata" (click)="toggleUserEditor()" class="toggle-edit">
        <mat-icon>edit</mat-icon>
      </button>

      <button mat-mini-fab color="warn" aria-label="Edit Userdata" (click)="deleteUser()" class="toggle-edit">
        <mat-icon>delete</mat-icon>
      </button>

      <button mat-mini-fab color="warn" aria-label="Edit Userdata" (click)="logout()" class="toggle-edit">
        <mat-icon>exit_to_app</mat-icon>
      </button>
    </div>
  </mat-expansion-panel>

  <mat-expansion-panel hideToggle class="infos" (expandedChange)="defaultEditState()">
    <mat-expansion-panel-header class="unselectable">
      <mat-panel-title>Personalisierung</mat-panel-title>
      <mat-panel-description>
        Gestalte deinen Desktop
        <mat-icon>brush</mat-icon>
      </mat-panel-description>
    </mat-expansion-panel-header>

    <div class="personalization">
      <div class="row">
        <div class="col-sm label unselectable">Theme</div>
        <div class="col-sm">
          <mat-select [(value)]="currentTheme" (valueChange)="setTheme()">
            <mat-option *ngFor="let theme of themes" [value]="theme.key">{{theme.name}}</mat-option>
          </mat-select>
        </div>
      </div>

      <div class="row">
        <div class="col-sm label unselectable">Taskleiste</div>
        <div class="col-sm">
          <mat-select [(value)]="taskbar" (valueChange)="setTaskbar()">
            <mat-option [value]='"small"'>Klein</mat-option>
            <mat-option [value]='"big"'>Groß</mat-option>
          </mat-select>
        </div>
      </div>

      <div class="row">
        <div class="col-sm label unselectable">Taskleisten Icons</div>
        <div class="col-sm">
          <mat-select [(value)]="taskbar_icons" (valueChange)="setTaskbarIcons()">
            <mat-option [value]='"center"'>Mittig</mat-option>
            <mat-option [value]='"left"'>Links</mat-option>
            <mat-option [value]='"right"'>Rechts</mat-option>
          </mat-select>
        </div>
      </div>

      <div class="row">
        <div class="col-sm label unselectable">Hintergrund</div>
        <div class="col-sm">
          <mat-select [(value)]="background" (valueChange)="setBackground()">
            <mat-option [value]='"assets/images/moon.jpg"'>Mond</mat-option>
            <mat-option [value]='"assets/images/sea.png"'>See</mat-option>
          </mat-select>
        </div>
      </div>
    </div>
  </mat-expansion-panel>
</mat-accordion>
